# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "nimrod"
version = "0.2.0"
authors = ["Johann Kempter <admin@binflip.rs>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Parse and inspect Nim-compiled native binaries"
readme = "README.md"
keywords = [
    "nim",
    "reverse-engineering",
    "parser",
    "binary-analysis",
    "malware",
]
categories = ["parser-implementations"]
license = "Apache-2.0"
repository = "https://github.com/BinFlip/nimrod"

[lib]
name = "nimrod"
path = "src/lib.rs"

[[example]]
name = "dump"
path = "examples/dump.rs"

[[test]]
name = "display_stability"
path = "tests/display_stability.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[dependencies.goblin]
version = "0.10.5"

[dependencies.memchr]
version = "2.8.0"

[dev-dependencies.proptest]
version = "1.11.0"

[lints.clippy]
arithmetic_side_effects = "deny"
expect_used = "deny"
indexing_slicing = "deny"
panic = "deny"
unwrap_used = "deny"

[lints.rust]
missing_docs = "deny"
unsafe_code = "deny"
